org.apache.datasketches.sampling

## Class VarOptItemsSamples.VarOptItemsIterator

- java.lang.Object
- - org.apache.datasketches.sampling.VarOptItemsSamples.VarOptItemsIterator

All Implemented Interfaces:
  Iterator<VarOptItemsSamples.WeightedSample>

Enclosing class:
  VarOptItemsSamples<T>

    public class VarOptItemsSamples.VarOptItemsIterator
    extends Object
    implements Iterator<VarOptItemsSamples.WeightedSample>

The standard iterator

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`VarOptItemsSamples.WeightedSample` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<VarOptItemsSamples.WeightedSample>`

#### next

    public VarOptItemsSamples.WeightedSample next()

Specified by:
  `next` in interface `Iterator<VarOptItemsSamples.WeightedSample>`